purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.CaseDeclarations

Description

This module implements the desugaring pass which replaces top-level binders with case expressions.

Synopsis

- desugarCases :: (MonadSupply m, MonadError MultipleErrors m) => [Declaration] -> m [Declaration]
- desugarCasesModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module
- desugarCaseGuards :: (MonadSupply m, MonadError MultipleErrors m) => [Declaration] -> m [Declaration]

# Documentation

desugarCases :: (MonadSupply m, MonadError MultipleErrors m) => [Declaration] -> m [Declaration] #

Replace all top-level binders with case expressions.

desugarCasesModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module #

Replace all top-level binders in a module with case expressions.

desugarCaseGuards :: (MonadSupply m, MonadError MultipleErrors m) => [Declaration] -> m [Declaration] #